For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a schedule

Create schedule

POST https://ris.rightsline.com/v4/schedule

This endpoint allows you to create a new schedule.

Headers

Name
Type
Description

x-api-key

string

Your company's API key.

Authentication

string

Authentication token.

Request Body

Name
Type
Description

title

string

The title of the new schedule.

template

object

The template of the new schedule.

template.templateId

string

The unique ID of the template to assign to the schedule.

characteristics

object

The field values to assign to the schedule.

parentRelationship

array

Create this schedule as a child of other entities.

302
{
  "message": "TemplateId is required"
}

Sample Request

{
    "title": "My New Schedule",
    "template": {
        "templateId": 1
    },
    "characteristics": {
        "notes": "Schedule record notes"
    },
    "parentRelationship": [
        {
            "parentCharTypeId": 4,
            "parentRecordId": 100
        }
    ]
}

Was this helpful?